zenilib: TIntermSelection Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
TIntermSelection Class Reference

`#include <intermediate.h>`

Inherits TIntermTyped.

## Public Member Functions

| TIntermSelection (TIntermTyped *cond, TIntermNode *trueB, TIntermNode *falseB)
| TIntermSelection (TIntermTyped *cond, TIntermNode *trueB, TIntermNode *falseB, const TType &type)
TIntermSelection * | getAsSelectionNode ()
TIntermNode * | getCondition () const
TIntermNode * | getFalseBlock () const
TIntermNode * | getTrueBlock () const
virtual void | traverse (TIntermTraverser *)
bool | usesTernaryOperator () const
Public Member Functions inherited from TIntermTyped
| TIntermTyped (const TType &t)
int | elementRegisterCount () const
int | getArraySize () const
virtual TIntermTyped * | getAsTyped ()
const char * | getBasicString () const
TBasicType | getBasicType () const
TString | getCompleteString () const
int | getNominalSize () const
TPrecision | getPrecision () const
TQualifier | getQualifier () const
const char * | getQualifierString () const
const TType & | getType () const
TType * | getTypePointer ()
bool | isArray () const
bool | isMatrix () const
bool | isScalar () const
bool | isVector () const
void | setType (const TType &t)
int | totalRegisterCount () const
Public Member Functions inherited from TIntermNode
| TIntermNode ()
virtual | ~TIntermNode ()
virtual TIntermAggregate * | getAsAggregate ()
virtual TIntermBinary * | getAsBinaryNode ()
virtual TIntermConstantUnion * | getAsConstantUnion ()
virtual TIntermLoop * | getAsLoopNode ()
virtual TIntermSymbol * | getAsSymbolNode ()
virtual TIntermUnary * | getAsUnaryNode ()
const TSourceLoc & | getLine () const
| POOL_ALLOCATOR_NEW_DELETE ()
void | setLine (const TSourceLoc &l)

## Protected Attributes

TIntermTyped * | condition
TIntermNode * | falseBlock
TIntermNode * | trueBlock
Protected Attributes inherited from TIntermTyped
TType | type
Protected Attributes inherited from TIntermNode
TSourceLoc | line

## Detailed Description

Definition at line 503 of file intermediate.h.

## Constructor & Destructor Documentation

TIntermSelection::TIntermSelection | ( | TIntermTyped * | cond,
|  | TIntermNode * | trueB,
|  | TIntermNode * | falseB
| ) |  |

inline

Definition at line 505 of file intermediate.h.

TIntermSelection::TIntermSelection | ( | TIntermTyped * | cond,
|  | TIntermNode * | trueB,
|  | TIntermNode * | falseB,
|  | const TType & | type
| ) |  |

inline

Definition at line 507 of file intermediate.h.

## Member Function Documentation

TIntermSelection* TIntermSelection::getAsSelectionNode | ( |  | ) |

inlinevirtual

Reimplemented from TIntermNode.

Definition at line 516 of file intermediate.h.

TIntermNode* TIntermSelection::getCondition | ( |  | ) | const

inline

Definition at line 513 of file intermediate.h.

References condition.

Referenced by TDependencyGraphBuilder::visitSelection(), sh::UnfoldShortCircuit::visitSelection(), TOutputGLSLBase::visitSelection(), and sh::OutputHLSL::visitSelection().

TIntermNode* TIntermSelection::getFalseBlock | ( |  | ) | const

inline

Definition at line 515 of file intermediate.h.

References falseBlock.

Referenced by TDependencyGraphBuilder::visitSelection(), sh::UnfoldShortCircuit::visitSelection(), TOutputGLSLBase::visitSelection(), and sh::OutputHLSL::visitSelection().

TIntermNode* TIntermSelection::getTrueBlock | ( |  | ) | const

inline

Definition at line 514 of file intermediate.h.

References trueBlock.

Referenced by TDependencyGraphBuilder::visitSelection(), sh::UnfoldShortCircuit::visitSelection(), TOutputGLSLBase::visitSelection(), and sh::OutputHLSL::visitSelection().

void TIntermSelection::traverse | ( | TIntermTraverser * | it | ) |

virtual

Implements TIntermNode.

Definition at line 185 of file IntermTraverse.cpp.

References TIntermTraverser::decrementDepth(), falseBlock, TIntermTraverser::incrementDepth(), PostVisit, TIntermTraverser::postVisit, PreVisit, TIntermTraverser::preVisit, TIntermTraverser::rightToLeft, TIntermNode::traverse(), trueBlock, and TIntermTraverser::visitSelection().

bool TIntermSelection::usesTernaryOperator | ( |  | ) | const

inline

Definition at line 512 of file intermediate.h.

References EbtVoid, and TIntermTyped::getBasicType().

Referenced by sh::UnfoldShortCircuit::visitSelection(), TOutputGLSLBase::visitSelection(), and sh::OutputHLSL::visitSelection().

## Member Data Documentation

TIntermTyped* TIntermSelection::condition

protected

Definition at line 519 of file intermediate.h.

Referenced by getCondition().

TIntermNode* TIntermSelection::falseBlock

protected

Definition at line 521 of file intermediate.h.

Referenced by getFalseBlock(), and traverse().

TIntermNode* TIntermSelection::trueBlock

protected

Definition at line 520 of file intermediate.h.

Referenced by getTrueBlock(), and traverse().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/intermediate.h
- zenilib/jni/external/angle/src/compiler/IntermTraverse.cpp